local image = love.graphics.newImage('img/coin.png')
image:setFilter('nearest', 'nearest')
local sound = love.audio.newSource('sfx/coin.ogg', 'static')

function newCoin(x, y, speed)
  local coin = newAnimatedEntity(image, x, y, 4)
    coin.addAnimation('spin', 0.1)
    coin.sound = sound:clone()
    coin.obtained = false
    
    -- Blue Coins
    if speed >= 15 and love.math.random(10) == 10 then
      coin.addFrames('spin', 0, 8, 8, 8, 10)
      coin.score = math.ceil(speed / 5)
    -- Green Coins
    elseif speed >= 40 and love.math.random(20) == 20 then
      coin.addFrames('spin', 0, 16, 8, 8, 10)
      coin.score = math.ceil(speed/2)
    -- Pink Coins
    elseif speed >= 50 and love.math.random(100) == 100 then
      coin.addFrames('spin', 0, 24, 8, 8, 10)
      coin.score = math.ceil(speed * 2)
    else
    -- Plain / Yellow Coins
      coin.addFrames('spin', 0, 0, 8, 8, 10)
      coin.score = math.ceil(speed / 15)
    end
    coin.setAnimation('spin')

  return coin
end
