local image = love.graphics.newImage('img/laser.png')
image:setFilter('nearest', 'nearest')

local quads = {}
for i = 0, 17 do
  table.insert(quads, love.graphics.newQuad(0, 0, 16, 16, image:getWidth(), image:getHeight()))
end
local zap_rate = 0.1

function newLaser(x, y)
  local laser = {x = x, y = y, hit = false, hh = 6}
  local spritebatch = love.graphics.newSpriteBatch(image, 10)
  local zap = 0

  local function updateBatch(x, y)
    spritebatch:clear()
    for i = 1, #quads do
      spritebatch:add(quads[i], x + ((i-1) * 16), y)
    end
    spritebatch:flush()
  end
  
  updateBatch(x, y)

  function laser.update(dt)
    zap = zap + dt
    if zap >= zap_rate then
      zap = zap - zap_rate
      
      -- Randomize quads
      for i = 1, #quads do
        local zap_x = love.math.random(0,4)
        quads[i]:setViewport(zap_x * 16, 0, 16, 16, image:getWidth(), image:getHeight())
      end
      
      updateBatch(x, y)
    end
  end
  
  function laser.draw()
    love.graphics.draw(spritebatch)
  end
  
  return laser
end
