local menu, font, list

state_highscores = newState()

function state_highscores.load()
  bigfont = love.graphics.newFont('font/charybdis.ttf', 34, 'mono')
  font = love.graphics.newFont(13, 'mono')
  
  list = {}
  for jacks in love.filesystem.lines('highscores.lst') do
    local info = {}
    for data in jacks:gmatch('%S+') do
      table.insert(info, data)
    end
    table.insert(list, {name = info[1], score = tonumber(info[2])})
  end
  
  menu = newMenu(g_menufont, 2, {roundx = 2, roundy = 2})
  menu.addButton('Back', screen.width / 2, screen.height - 20, function() state_machine.change(state_title) end)
  menu.selected_index = 1
end

function state_highscores.draw()
  love.graphics.setFont(g_bigfont)
  love.graphics.printf('High Scores', 0, 0, screen.width, 'center')
  love.graphics.setFont(font)
  for i, v in pairs(list) do
    love.graphics.print(v.name,   screen.width/8, 20 + i*15)
    love.graphics.printf(v.score, screen.width/2, 20 + i*15, screen.width / 3, 'right')
  end

  menu.draw()
end

function state_highscores.keypressed(key)
  if key == 'return' then menu.button_press()   end
end
function state_highscores.keyreleased(key)
  if key == 'return' then menu.button_release() end
end
