local menu

local function resume()
  music:play()
  state_machine.pop()
end

state_pause = newState()

function state_pause.load()
  menu = newMenu(g_menufont, 2, {roundx = 2, roundy = 2})
  menu.addButton('Resume',       screen.width/2, 115, function() resume()                          end)
  menu.addButton('Title Screen', screen.width/2, 140, function() state_machine.change(state_title) end)
  menu.addButton('Exit'  ,       screen.width/2, 165, function() love.event.quit()                 end)
  menu.selected_index = 1
end

function state_pause.draw()
  love.graphics.setColor(0, 0, 0, 0.4)
  love.graphics.rectangle('fill', 0, 0, screen.width, screen.height)
  love.graphics.setColor(1,1,1)
  love.graphics.setFont(g_bigfont)
  love.graphics.printf('Paused', 0, 55, screen.width, 'center')
  menu.draw()
end

function state_pause.keypressed(key)
  if     key == 'return' then menu.button_press()
  elseif key == 'escape' then resume()
  elseif key == 'up'     then menu.cycle_up()
  elseif key == 'down'   then menu.cycle_down()
  end
end

function state_pause.keyreleased(key)
  if key == 'return' then menu.button_release() end
end
